Skip to main content
`Ctrl`+`K`

# scipy.linalg.blas.drot

scipy.linalg.blas.drot(x, y, c, s[, n, offx, incx, offy, incy, overwrite_x, overwrite_y]) = <fortran function drot>

  Wrapper for `drot`.

  Parameters:
    x input rank-1 array(‘d’) with bounds (*)
    y input rank-1 array(‘d’) with bounds (*)
    c input float
    s input float
  Returns:
    x rank-1 array(‘d’) with bounds (*)
    y rank-1 array(‘d’) with bounds (*)
  Other Parameters:
    n input int, optional

      Default: (len(x)-1-offx)/abs(incx)+1

    overwrite_x input int, optional

      Default: 0

    offx input int, optional

      Default: 0

    incx input int, optional

      Default: 1

    overwrite_y input int, optional

      Default: 0

    offy input int, optional

      Default: 0

    incy input int, optional

      Default: 1